from __future__ import unicode_literals
from celery import Celery
from psutil import Popen
from subprocess import PIPE
from os import path as op


app = Celery(
    'tasks',
    backend='rpc://',
    broker='amqp://climber:nitroX,.2020!@x10Desktop2015:5117/cmb')

app.conf.CELERY_TIMEZONE = 'Europe/Oslo'


# def source_file(file_name):
#     # In case what's given is an environment variable:
#     file_name = op.expandvars(file_name)

#     if not op.isfile(file_name):
#         print(str(file_name) + " is not a file on this system!")
#         return

#     proc = Popen(["source", file_name])


def ping_machine(machine_name_or_ip, count=4, seconds_timeout=2):

    # Ping command
    ping_proc = Popen(
        ["ping", "-c", count, "-W", seconds_timeout, machine_name_or_ip],
        stdout=PIPE, stderr=PIPE)

    # Wait for execution complete
    outpt, error = ping_proc.communicate()

    ping_loss_rate = re.findall(r"(\d+)% packet loss,", outpt)

    if len(ping_loss_rate) > 1:
        print("Something went wrong, regex returned more than one match.")
        return False

    ping_loss_rate = int(ping_loss_rate[0])

    if ping_loss_rate == 100:
        print("Ping command to machine " + machine_name_or_ip + " failed " +
              str(count) + "/" + str(count) + " packet attempts.")
        return False

    if ping_loss_rate != 0:
        print("Ping command to machine " + machine_name_or_ip + " is unstable.")
        print("Only " + str(100 - ping_loss_rate) + " success rate with " + str(count) + " packet attempts.")

    return True


@app.task
def meh_add(x, y):
    # return x + y
    raise NotImplementedError


@app.task
def print_hostname():
    from socket import gethostname
    print(gethostname())
    return


@app.task
def print_platform_uname():
    from platform import uname
    print(uname()[1])
    return


@app.task
def print_os_uname():
    from os import uname
    print(uname()[1])
    return
