#!/bin/bash
#FRONTEND_DIR and FLASK_DIR is defined in server.cfg
. $APPLICATION_SETTINGS
logfile="/srv/climber/cmb/server/cmb-flask/logs/startup.log"
set -e
function start_cmb {
	if screen -list | grep -q "cmb"; then
		echo "CMB allready running. Try stopping before starting"
		exit 0
	fi
#	screen -d -m -S cmb
#	screen -S cmb -X stuff "cd $FRONTEND_DIR && gulp $VERSION
#"
	cd $FRONTEND_DIR && gulp maintenance 2>&1 >> $logfile
	#sleep 2
	echo "starting server..."
	sleep 1
#	screen -S cmb -X screen $FLASK_DIR/scripts/gunicorn_start
	{ $FLASK_DIR/scripts/gunicorn_start 2>&1 >> $logfile &} > /dev/null
	disown
	sleep 5
	echo "starting push..."
	#screen -S cmb -X screen
        #sleep 1
	#screen -S cmb -p 2 -X stuff "export LC_ALL=''
	screen -d -m -S cmb
	screen -S cmb -X stuff "source $FLASK_DIR/../venv/bin/activate && cd $FLASK_DIR/source && python $FLASK_DIR/source/push.py
	"
	echo "starting frontend..."
	cd $FRONTEND_DIR && gulp $VERSION 2>&1 >> $logfile
	echo "CMB started"
}

function stop_cmb {
#	echo "stopping screen..."
	set +e
	pkill gunicorn
	set -e
	screen -X -S cmb quit
	sleep 1
	echo "CMB stopped"
}

case "$1" in

start) start_cmb
;;
stop) stop_cmb
;;
restart) stop_cmb
	sleep 1
	start_cmb
;;
*) echo "Please pass 'start', 'restart' or 'stop' as argument"
esac
