#! /bin/bash

set -a

# Find out where this file is located:
THIS_FILE="${BASH_SOURCE[0]}"
while [ -h "$THIS_FILE" ]; do # resolve $THIS_FILE until the file is no longer a symlink
	DIR="$( cd -P "$( dirname "$THIS_FILE" )" && pwd )"
	THIS_FILE="$(readlink "$THIS_FILE")"
	[[ $THIS_FILE != /* ]] && THIS_FILE="$DIR/$THIS_FILE" # if $THIS_FILE was a relative symlink, we need to resolve it relative to the path where the symlink file was located
done

# Always assume that structure is cmb/cmb-flask/scripts, cmb/cmb-flask/configs
cur_dir=$(pwd)
CMB_DIR=$(realpath "$cur_dir/$(dirname $THIS_FILE)/../..")
CMB_FLASK_CONFIGS_DIR="$CMB_DIR/cmb-flask/configs"

# Source passwords, usernames, secrets...
SECRETS="$CMB_FLASK_CONFIGS_DIR/test-secrets.cfg"
source $SECRETS

# Needs CMB_DIR variable set(!), and secrets sourced!!!
MACHINE_SETTINGS="$CMB_FLASK_CONFIGS_DIR/test-server.cfg"
source "$MACHINE_SETTINGS"
